# azure.mgmt.managementgroups package

## Submodules

- azure.mgmt.managementgroups.models module
- azure.mgmt.managementgroups.operations module

## Module contents

class `azure.mgmt.managementgroups.``ManagementGroupsAPI`(credentials, base_url=None)

  Bases: `msrest.service_client.SDKClient`

  The Azure Management Groups API enables consolidation of multiple subscriptions/resources into an organizational hierarchy and centrally manage access control, policies, alerting and reporting for those resources.

  Variables:

  - config (ManagementGroupsAPIConfiguration) – Configuration for client.
  - management_groups (azure.mgmt.managementgroups.operations.ManagementGroupsOperations) – ManagementGroups operations
  - management_group_subscriptions (azure.mgmt.managementgroups.operations.ManagementGroupSubscriptionsOperations) – ManagementGroupSubscriptions operations
  - operations (azure.mgmt.managementgroups.operations.Operations) – Operations operations
  - entities (azure.mgmt.managementgroups.operations.EntitiesOperations) – Entities operations

  Parameters:

  - credentials (`A msrestazure Credentials object`) – Credentials needed for the client to connect to Azure.
  - base_url (str) – Service URL

  `check_name_availability`(check_name_availability_request, custom_headers=None, raw=False, **operation_config)

    Checks if the specified management group name is valid and unique.

    Parameters:

    - check_name_availability_request (CheckNameAvailabilityRequest) – Management group name availability check parameters.
    - custom_headers (dict) – headers that will be added to the request
    - raw (bool) – returns the direct response alongside the deserialized response
    - operation_config – Operation configuration overrides.

    Returns: | CheckNameAvailabilityResult or ClientRawResponse if raw=true
    Return type: | CheckNameAvailabilityResult or ClientRawResponse
    Raises: | `ErrorResponseException`

  `start_tenant_backfill`(custom_headers=None, raw=False, **operation_config)

    Starts backfilling subscriptions for the Tenant.

    Parameters:

    - custom_headers (dict) – headers that will be added to the request
    - raw (bool) – returns the direct response alongside the deserialized response
    - operation_config – Operation configuration overrides.

    Returns: | TenantBackfillStatusResult or ClientRawResponse if raw=true
    Return type: | TenantBackfillStatusResult or ClientRawResponse
    Raises: | `ErrorResponseException`

  `tenant_backfill_status`(custom_headers=None, raw=False, **operation_config)

    Gets tenant backfill status.

    Parameters:

    - custom_headers (dict) – headers that will be added to the request
    - raw (bool) – returns the direct response alongside the deserialized response
    - operation_config – Operation configuration overrides.

    Returns: | TenantBackfillStatusResult or ClientRawResponse if raw=true
    Return type: | TenantBackfillStatusResult or ClientRawResponse
    Raises: | `ErrorResponseException`